Subject: Re: [PATCH 2/2] Add support for MEMEC 2VP30-FF1152 eval board with simple FPGA design

From: Grant Likely <[email-masked]>
Date: Tue, 20 Sep 2005 14:35:20 -0600

On 9/20/05, Peter Korsgaard <[email-masked]> wrote:
> >>>>> "Grant" =3D=3D Grant Likely <[email-masked]> writes:
>=20
> Hi,
>=20
>  Grant> Here is an example port to another V2PRO based board.  This
>  Grant> patch is for information only and is NOT suitable for
>  Grant> submission up to mainline
>=20
> Ok, I still have a little comment though..
>=20
>  Grant> diff --git a/arch/ppc/boot/simple/embed_config.c
>  Grant> b/arch/ppc/boot/simple/embed_config.c
>  Grant> --- a/arch/ppc/boot/simple/embed_config.c
>  Grant> +++ b/arch/ppc/boot/simple/embed_config.c
>  Grant> @@ -745,7 +745,7 @@ embed_config(bd_t **bdp)
>  Grant>  }
>  Grant>  #endif /* WILLOW */
>  Grant>
>  Grant> -#ifdef CONFIG_XILINX_ML300
>  Grant> +#ifdef CONFIG_VIRTEX_II_PRO
>  Grant>  void
>  Grant>  embed_config(bd_t ** bdp)
>  Grant>  {
>=20
> Please don't force all V2P boards to use the same embed_config. I'm
> using RedBoot on a V2P board, which provides a ready to go bd_t that I
> can directly use.
No problem.  I need to go back and review this code anyway to
determine if any of it should be split out into common routines for
all v2p boards.

Hey, do you have any drivers for the common 'stock' v2p device cores
ported to 2.6 for your board? (like Ethernet, PS/2, framebuffer, etc)
I'm about to start porting the SystemACE driver and I also need
Ethernet and PS/2 devices, but I don't want to duplicate if anyone has
already done the work.

Thanks again,
g.